%define name	perl-Curses-UI
%define module  Curses-UI
%define version	0.95
%define release	%mkrel 6

Summary:	A curses based perl OO user interface framework
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://search.cpan.org/CPAN/authors/id/M/MA/MARCUS/%{module}-%{version}.tar.bz2
Requires:	perl-Curses
Requires:	perl-Term-ReadKey
%if %{mdkversion} < 1010
Buildrequires:  perl-devel
%endif
BuildRequires:  perl-Test-Pod
BuildRequires:  perl-Term-ReadKey
BuildRequires:  perl-Curses
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Patch0: Curses-UI-0.95-more-Listbox-alike-Popupmenu.patch
Patch1: Curses-UI-0.95-fix-overflow-in-Listbox-on-pageup-pagedown.patch
Patch2: Curses-UI-0.95-add-method-to-modify-button-label.patch
Patch3: Curses-UI-0.95-allow-setting-active-line.patch
Patch4: Curses-UI-0.95-focus-up-and-focus-down.patch
Patch5: Curses-UI-0.95-make-dialog-message-focusable-if-scrolled.patch
Patch6: Curses-UI-0.95-new-Container-method--delete_object.patch
Patch7: Curses-UI-0.95-do-not-replace-last-char-with-overflow-char.patch
Patch8: Curses-UI-0.95-gpm-does-not-work--hide-error-for-now.patch
Patch9: Curses-UI-0.95-only-redraw-Listbox-when-needed-otherwise-it-occurs-after-focus-next.patch

%description
A UI framework based on the curses library. Curses::UI contains
several widgets which can be used to build a user interface.

%prep

%setup -q -n %{module}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

# perl path hack
find . -type f | xargs perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor

%make OPTIMIZE="%{optflags}"

%check
# need setting COLUMNS and LINES to help it getting "Terminal Size" under nohup or iurt
COLUMNS=80 LINES=25 make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std


%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README examples CREDITS COLOR_TODO BUGS Changes
%{perl_vendorlib}/Curses/*
%{_mandir}/*/*


%changelog
* Tue Dec 19 2006 Pixel <pixel@mandriva.com> 0.95-6mdv2007.0
+ Revision: 99831
- only redraw Listbox when needed, otherwise it occurs after focus next (in drakxtools)

* Thu Nov 02 2006 Pixel <pixel@mandriva.com> 0.95-5mdv2007.1
+ Revision: 75452
- disable gpm, it does not work anyway (#26852)

* Fri Oct 20 2006 Pixel <pixel@mandriva.com> 0.95-4mdv2007.1
+ Revision: 71564
- help "make test" under nohup or iurt
- add many fixes/enhancements (mostly to make it more usable in drakxtools)
- Import perl-Curses-UI



* Mon Oct 10 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.95-3mdk
- Fix BuildRequires

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.95-2mdk
- Rebuild

* Wed Feb 09 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.95-1mdk
- 0.95
- enable tests

* Thu Dec 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.94-2mdk
- fix deps

* Thu Dec 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.94-1mdk
- initial mandrake import

* Thu Sep 02 2004 Francis J. Lacoste <flacoste@logreport.org> 0.93-1
  - Upstream ugprade to 0.93.
  - Rebuilt on Fedora Core 2.

* Fri Apr 09 2004 Francis J. Lacoste <flacoste@logreport.org> 0.92-1
  - Initial packaging.
